Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

All the information that google returns says to change ~/.gtkrc2.0-mine. Here is my .gtkrc-2.0:

# -- THEME AUTO-WRITTEN BY gtk-theme-switch2 DO NOT EDIT
include "/usr/share/themes/Dust/gtk-2.0/gtkrc"

include "/home/mars/.gtkrc-2.0.mine"

# -- THEME AUTO-WRITTEN BY gtk-theme-switch2 DO NOT EDIT

Here is my .gtkrc-2.0.mine:

style "default"
{
        GtkTextView::cursor_color       = "#ffffff"

        base[NORMAL]    = "#111111"
        base[ACTIVE]    = "#111181"
        base[SELECTED]  = "#808080"
        text[NORMAL]    = "#c0c0c0"
        text[ACTIVE]    = "#c0c0c0"
        text[SELECTED]  = "#111111"
}
class "GtkTextView" style "default"

Still appears with a white background!

share|improve this question

1 Answer 1

up vote 2 down vote accepted

Leafpad makes use the default gtk2.0 colors. Because of this changes to the leafpad background would be applied for all applications that use the default colors and these would be applied in more cases than the document area. If you want specific editor background colors for your editor you might want to try gedit which has extensive theme capabilities for the document area. There are a number of pre-made themes available for gedit and the default install provides 4 choices. There is an application called gnome-color-chooser that can be used to adjust no end of gtk2.0 colors and other global parameters. You may find that helpful.

share|improve this answer
1  
I'm using xfce windows system and I find that the colours in the .gtkrc-2.0 file only seem to be used when the desktop appearance is set to "industrial", "raleigh" or "redmond" instead of the default "clearlooks". –  user48701 Mar 1 '12 at 9:58
    
My answer was implemented in a 11.10 Unity environment which also uses metacity and gtk3.0 for recently updated aps. I have no 1st hand experience with xfce. I recognize the themes you mention, they were used in older Ubuntu releases and haven't to my knowledge been updated for gtk3.0 making them not usable with 11.10 Unity. –  fragos Mar 2 '12 at 5:05

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.